build: use C++11
Change-Id: I0e58ac4e9cb42d07a9b58125d761875f91c7744c
Refs: #1930
diff --git a/.jenkins.d/40-tests.sh b/.jenkins.d/40-tests.sh
new file mode 100755
index 0000000..aa90b64
--- /dev/null
+++ b/.jenkins.d/40-tests.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+set -x
+set -e
+
+# Run tests
+sudo rm -Rf ~/.ndn
+mkdir ~/.ndn
+
+sudo cp /usr/local/etc/ndn/nfd.conf.sample /usr/local/etc/ndn/nfd.conf
+
+IS_OSX=$( python -c "print 'yes' if 'OSX' in '$NODE_LABELS'.strip().split(' ') else 'no'" )
+IS_LINUX=$( python -c "print 'yes' if 'Linux' in '$NODE_LABELS'.strip().split(' ') else 'no'" )
+
+if [ $IS_OSX = "yes" ]; then
+ security unlock-keychain -p "named-data"
+fi
+
+sudo killall nrd || true
+sudo killall nfd || true
+
+/usr/local/bin/nfd-start
+
+./build/unit-tests -l test_suite
+
+sudo killall nrd || true
+sudo killall nfd || true